package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.req.theme.ThemeListReq;
import com.tanpu.community.api.beans.resp.ThemeListResp;
import com.tanpu.community.manager.ConJobManager;
import com.tanpu.community.manager.ThemeManager;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@Slf4j
@RequestMapping(value = "/api/help")
public class HelpController {

    @Autowired
    private ConJobManager conJobManager;

    @ApiOperation("")
    @PostMapping(value = "/job/reportTopicWeekday")
    @ResponseBody
    public CommonResp<String> reportTopicWeekday() {
        conJobManager.reportTopicWeekday();
        return CommonResp.success();
    }

    @ApiOperation("")
    @PostMapping(value = "/job/reportTopicSaturday")
    @ResponseBody
    public CommonResp<String> reportTopicSaturday() {
        conJobManager.reportTopicSaturday();
        return CommonResp.success();
    }
}
